Fontconfig Developers Reference, Version 2.2.1
<<< Previous |  | Next >>>

# FcDirScan

## Name

FcDirScan -- scan a font directory

## Synopsis

    #include <fontconfig.h>

``FcBool `FcDirScan``(FcFontSet *`set`, FcStrSet *`dirs`, FcFileCache *`cache`, FcBlanks *`blanks`, const char *`dir`, FcBool`force`);`

## Description

Scans an entire directory and adds all fonts found to `set`. If `force` is FcTrue, then the directory and all files within it are scanned even if information is present in the per-directory cache file or `cache`. Any subdirectories found are added to `dirs`.

## Version

Fontconfig version 2.2.1

<<< Previous | Home | Next >>>
FcFileScan | Up | FcDirSave